#{{uc_id}} a.uc_more_btn{
	text-align: center;
	transition: all 0.25s ease-in-out;
}

#{{uc_id}} * {
	box-sizing: border-box;	
}
#{{uc_id}} .uc_post_grid_style_one_wrap {
	display: grid;
}

#{{uc_id}} .uc_post_grid_style_one_image {
	width: 100%;
	overflow: hidden;
	display: block;
  	
}
#{{uc_id}} .uc_post_image {
	width: inherit;
	height: inherit;
	background-position: center center;
	background-repeat: no-repeat;
	display: block;
	transition: all 0.25s ease-in-out;
}
#{{uc_id}} .uc_post_grid_style_one_item:hover .uc_post_image {
	transform: scale(1.1);
}

#{{uc_id}} .ue-image-holder a
{
  display:block;
}

#{{uc_id}} .ue-item
{
  position:relative;
  overflow:hidden;
}

#{{uc_id}} .ue-item-title
{
  width:100%;
}

#{{uc_id}} .ue-item-text
{
  width:100%;
}

#{{uc_id}} .uc_content
{
  display:flex;
  flex-direction:column;
}

#{{uc_id}} .ue-content-wrapper
{
  width:100%;
}

#{{uc_id}} .ue-button
{
  margin-top:auto;
}

#{{uc_id}} .ue-button
{
  width:100%;
}


{% if layout == "overlay" %}
	#{{uc_id}}.uc_post_grid_style_one .uc_content{
      position:absolute;
      top:0px;
      left:0px;
      bottom:0px;
      right:0px;
      opacity:0;
      transition:1s;
      display:flex;
      align-items:center;
      flex-direction:column;
      justify-content: center;
    }

	#{{uc_id}} .uc_post_grid_style_one_item:hover .uc_content{
      opacity:1;
    }

{% endif %}

{% if layout == "partial_overlay" %}
	#{{uc_id}}.uc_post_grid_style_one .uc_content{
     position:absolute;
     bottom:20px;
     left:20px;
     right:20px;
    }
{% endif %}

{% if layout == "under_overlap" %}
	#{{uc_id}}.uc_post_grid_style_one .uc_content{
     margin-left:20px;
      margin-right:20px;
      margin-top:-30px;
      position:relative;
    }
{% endif %}

{% if layout == "reveal_from_bottom" %}
	#{{uc_id}}.uc_post_grid_style_one .uc_content{
        margin-left:0px;
        margin-right:0px;
        margin-top:0px;
        position:absolute;
      	bottom: -100%;
        left: 0;
        right: 0;
        transition: ease-in-out all 0.25s;
      	-webkit-transition: ease-in-out all 0.25s;
    }
    #{{uc_id}}.uc_post_grid_style_one .uc_post_grid_style_one_item:hover .uc_content{
		bottom: 0;
    }
{% endif %}




{% if layout == "side_by_side" %}
	#{{uc_id}} .ue-item
    {
      display:flex;
    }

	#{{uc_id}} .uc_content
    {
      display:flex;
      justify-content:center;
      flex-direction:column;
      flex-shrink:0;
      flex-grow:0;
    }


    #{{uc_id}} .ue-image-holder
    {
      flex-grow:1;
    }
	
{% endif %}


#{{uc_id}}.uc-remote-parent .ue-item
{
  cursor:pointer;
}